Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.proxy
Class GenericProxyFactory

    java.lang.Object
      org.jboss.proxy.GenericProxyFactory

public class GenericProxyFactory
extends Object

A generic factory of java.lang.reflect.Proxy that constructs a proxy that is a composite of ClientContainer/Interceptors/Invoker

Version:
  $Revision: 1.6.6.1 $
Author:
  Scott.Stark@jboss.org

Constructor Summary
`GenericProxyFactory()`

Method Summary
`Object` | `createProxy(Object id, javax.management.ObjectName targetName, Invoker invoker, String jndiName, String proxyBindingName, ArrayList interceptorClasses, ClassLoader loader, Class[] ifaces)` Create a composite proxy for the given interfaces, invoker.
`Object` | `createProxy(Object id, javax.management.ObjectName targetName, Invoker invoker, String jndiName, String proxyBindingName, ArrayList interceptorClasses, ClassLoader loader, Class[] ifaces, HashMap ctx)` Create a composite proxy for the given interfaces, invoker.
`Object` | `createProxy(Object id, javax.management.ObjectName targetName, javax.management.ObjectName invokerName, String jndiName, String proxyBindingName, ArrayList interceptorClasses, ClassLoader loader, Class[] ifaces)` Create a composite proxy for the given interfaces, invoker.
`protected void` | `loadInterceptorChain(ArrayList chain, ClientContainer client)` The loadInterceptorChain create instances of interceptor classes from the list of classes given by the chain array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericProxyFactory

    public GenericProxyFactory()

Method Detail

### createProxy

    public Object createProxy(Object id,
                              javax.management.ObjectName targetName,
                              Invoker invoker,
                              String jndiName,
                              String proxyBindingName,
                              ArrayList interceptorClasses,
                              ClassLoader loader,
                              Class[] ifaces)

  Create a composite proxy for the given interfaces, invoker.

  Parameters:
    `id` - the cache id for the target object if any
    `targetName` - the name of the server side service
    `invoker` - the detached invoker stub to embed in the proxy
    `jndiName` - the JNDI name the proxy will be bound under if not null
    `proxyBindingName` - the invoker-proxy-binding name if not null
    `interceptorClasses` - the Class objects for the interceptors
    `loader` - the ClassLoader to associate the the Proxy
    `ifaces` - the Class objects for the interfaces the Proxy implements

### createProxy

    public Object createProxy(Object id,
                              javax.management.ObjectName targetName,
                              javax.management.ObjectName invokerName,
                              String jndiName,
                              String proxyBindingName,
                              ArrayList interceptorClasses,
                              ClassLoader loader,
                              Class[] ifaces)

  Create a composite proxy for the given interfaces, invoker.

  Parameters:
    `id` - the cache id for the target object if any
    `targetName` - the name of the server side service
    `invokerName` - the name of the server side JMX invoker
    `jndiName` - the JNDI name the proxy will be bound under if not null
    `proxyBindingName` - the invoker-proxy-binding name if not null
    `interceptorClasses` - the Class objects for the interceptors
    `loader` - the ClassLoader to associate the the Proxy
    `ifaces` - the Class objects for the interfaces the Proxy implements

### createProxy

    public Object createProxy(Object id,
                              javax.management.ObjectName targetName,
                              Invoker invoker,
                              String jndiName,
                              String proxyBindingName,
                              ArrayList interceptorClasses,
                              ClassLoader loader,
                              Class[] ifaces,
                              HashMap ctx)

  Create a composite proxy for the given interfaces, invoker.

  Parameters:
    `id` - the cache id for the target object if any
    `targetName` - the name of the server side service
    `invoker` - the detached invoker stub to embed in the proxy
    `jndiName` - the JNDI name the proxy will be bound under if not null
    `proxyBindingName` - the invoker-proxy-binding name if not null
    `interceptorClasses` - the Class objects for the interceptors
    `loader` - the ClassLoader to associate the the Proxy
    `ifaces` - the Class objects for the interfaces the Proxy implements
    `ctx` - any context to add the invocation context proxy

### loadInterceptorChain

    protected void loadInterceptorChain(ArrayList chain,
                                        ClientContainer client)
                                 throws Exception

  The loadInterceptorChain create instances of interceptor classes from the list of classes given by the chain array.

  Throws:
    `Exception` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.